texlogfilter
  NAME
    texlogfilter - filter latex engines output or log file

  SYNOPSIS
        texlogfilter [options] file.log

  DESCRIPTION
    Filter latex engines output or log file. For latex, pdflatex, lualatex
    or xelatex output or log file.

    Without input file, standard input is used. Use on latex engine output
    with:

        latex file.tex < /dev/null | texlogfilter

  OPTIONS
        --help                 : print this help and exit
        --version              : print version and exit

        --box                  : show box warnings
        --no-box               : mask box warnings

        --ref                  : show reference/citation warnings
        --no-ref               : mask reference/citation warnings

        --info                 : show latex info messages
        --no-info              : mask latex info messages

        --filename             : print current file name
        --no-filename          : do not print current file name
        --files-ext=string     : regex pattern used to match files extension (default: tex|sty|cls|bib)

        --skips                : indicate skipped lines
        --no-skips             : mask skipped lines
        --skip-marker=string   : marker used to indicate skipped lines (defaut: ...)

        --add-filter=string    : add user filter pattern (as perl regular expression)

        --full-log             : show full log (don't filter - only colorize latex engine output)

        --errors-color=string
        --warnings-color=string
        --infos-color=string
        --skips-color=string
        --user-color=string    : colors used for errors, warnings, informations and skipped lines

  ALTERNATIVES
    *   texlog-extract : <https://www.ctan.org/pkg/texlog-extract>

    *   texloganalyser : <https://www.ctan.org/pkg/texloganalyser>

    *   texlogsieve : <https://ctan.org/pkg/texlogsieve>

  AUTHOR
    Written by Julien Labbé.

    Inspired from a script given by Martin Scharrer on Stack Exchange
    network (see <https://tex.stackexchange.com/a/10564>).

  LICENCE
    This work may be distributed and/or modified under the conditions of the
    LaTeX Project Public License, either version 1.3 of this license or (at
    your option) any later version. The latest version of this license is in
    <http://www.latex-project.org/lppl.txt> and version 1.3 or later is part
    of all distributions of LaTeX version 2005/12/01 or later.

  VERSION
    1.1

  HISTORY
    *   2022, march, version 1.1 : add --info and --no-info options.

    *   2021, november, version 1.0 : initial version.

  DOCUMENTATION
    The documentation is integrated, writtent in Plain Old Documentation
    (POD) format. Exported versions are available, in the following files:

    *   README: created with perldoc.

    *   texlogfilter.html: created with pod2html.

